Subject: Removing command dispatcher (was Re: [ANNOUNCE] git-pasky-0.6.2 && heads-up on upcoming changes)

From: "David A. Wheeler" <[email-masked]>
Date: Thu, 21 Apr 2005 14:15:51 -0400

Matthias Urlichs wrote:

>Linus Torvalds wrote:
>
>  
>
>>I realize that there is probably a law that there has to be a space, but I 
>>actually personally use tab-completion all the time
>>    
>>
It's very unusual, but I can't think of any crisis it causes.

One minor annoyance: Windows doesn't support #! magic headers,
and a very few-and-probably-ignorable old Unix systems don't either.
There, commands written in an interpreter like perl, python, or shell can't
be kicked off just by a #! reference at the top (standard Windows' shell is
incompatible anyway, so it's just as well in the case of shell).

I don't see this as a roadblock, though.  On those systems, you could
create trivial stubs that just invoke the interpreter (e.g., perl) and the
real program. In the Windows case, you can use Windows' miserable
excuse for a command processor to do that very easily.
E.g., if "cg-update" is a Perl script, then you can create a file 
"cg-update.bat":
perl  \path\to\cg-update %*

(That requires Windows NT4 or better. MS-DOS didn't have %*, so you needed:
perl  \path\to\cg-update %1 %2 %3 %4 %5 %6 %7 %8 %9
It's hard to imagine an MS-DOS git user though.)

--- David A. Wheeler